## licq 1.7.1

=== src/CMakeLists.txt ===
set(tested_SRCS
  conversation.cpp
  inifile.cpp

  logging/adjustablelogsink.cpp
  logging/log.cpp
  logging/logdistributor.cpp
  logging/logutils.cpp
  logging/pluginlogsink.cpp

  plugin/generalplugin.cpp
  plugin/plugin.cpp
  plugin/pluginthread.cpp
  plugin/protocolplugin.cpp

  thread/condition.cpp
  thread/mutexlocker.cpp
  thread/readwritemutex.cpp

  utils/dynamiclibrary.cpp
  utils/pipe.cpp
)

set(licq_SRCS
  buffer.cpp
  color.cpp
  daemon.cpp
  event.cpp
  filter.cpp
  gpghelper.cpp
  hebrev.c
  licq.cpp
  main.cpp
  md5.cpp
  oneventmanager.cpp
  packet.cpp
  protocolmanager.cpp
  protocolsignal.cpp
  proxy.cpp
  sarmanager.cpp
  sighandler.cpp
  socket.cpp
  socketmanager.cpp
  statistics.cpp
  translator.cpp
  userevents.cpp
  utility.cpp

  contactlist/group.cpp
  contactlist/owner.cpp
  contactlist/user.cpp
  contactlist/userhistory.cpp
  contactlist/usermanager.cpp

  icq/buffer.cpp
  icq/chat.cpp
  icq/codes.c
  icq/filetransfer.cpp
  icq/icq-srv.cpp
  icq/icq-tcp.cpp
  icq/icq.cpp
  icq/icqprotocolplugin.cpp
  icq/oscarservice.cpp
  icq/owner.cpp
  icq/packet-srv.cpp
  icq/packet-tcp.cpp
  icq/rtf.cc
  icq/socket.cpp
  icq/threads.cpp
  icq/user.cpp
  icq/userclients.cpp

  logging/logservice.cpp
  logging/streamlogsink.cpp
  logging/threadlog.cpp

  plugin/pluginmanager.cpp

  ${tested_SRCS}
)

set(test_SRCS
  tests/conversationtest.cpp
  tests/inifiletest.cpp

  logging/tests/adjustablelogsinktest.cpp
  logging/tests/logdistributortest.cpp
  logging/tests/logtest.cpp
  logging/tests/logutilstest.cpp
  logging/tests/pluginlogsinktest.cpp

  plugin/tests/generalplugintest.cpp
  plugin/tests/plugintest.cpp
  plugin/tests/pluginthreadtest.cpp
  plugin/tests/protocolplugintest.cpp

  thread/tests/conditiontest.cpp
  thread/tests/mutextest.cpp
  thread/tests/mutexlockertest.cpp
  thread/tests/readwritemutextest.cpp
  thread/tests/threadspecificdatatest.cpp

  utils/tests/dynamiclibrarytest.cpp
  utils/tests/pipetest.cpp

  # Dummy global instances to make tests compile
  tests/daemon_dummy.cpp
  tests/log_dummy.cpp

  ${tested_SRCS}
)

if (USE_FIFO)
  list(APPEND licq_SRCS fifo.cpp)
endif (USE_FIFO)

add_executable(licq ${licq_SRCS})

# Link with thread library
target_link_libraries(licq ${CMAKE_THREAD_LIBS_INIT})

# Must export symbols from daemon so that plugins can use them
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_EXE_EXPORTS_CXX_FLAG}")

# Print a message to stderr (and to the file <basedir>/licq.debug_rw_mutex) and
# then abort if a (potential) deadlock is detected.
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DLICQDAEMON_DEBUG_RW_MUTEX=1")

# To find public headers
include_directories(BEFORE ${PROJECT_SOURCE_DIR}/include)

# To find config.h and licqversion.h
include_directories(BEFORE ${PROJECT_BINARY_DIR}/include)

# To find local headers
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

include_directories(${GETTEXT_INCLUDE_DIR})
include_directories(${GPGME_INCLUDES})
include_directories(${ICONV_INCLUDE_DIR})
include_directories(${OPENSSL_INCLUDE_DIR})
include_directories(${SOCKS5_INCLUDE_DIR})

target_link_libraries(licq ${CMAKE_DL_LIBS})
target_link_libraries(licq ${GETTEXT_LIBRARIES})
target_link_libraries(licq ${GPGME_VANILLA_LIBRARIES})
target_link_libraries(licq ${ICONV_LIBRARIES})
target_link_libraries(licq ${OPENSSL_LIBRARIES})
target_link_libraries(licq ${SOCKET_LIBRARIES})
target_link_libraries(licq ${SOCKS5_LIBRARIES})
target_link_libraries(licq ${Boost_LIBRARIES})

install(TARGETS licq RUNTIME DESTINATION bin)

if (BUILD_TESTS)
  include_directories(${GTEST_INCLUDE_DIRS})
  include_directories(${GMOCK_INCLUDE_DIRS})

  add_executable(unittest ${test_SRCS})

  target_link_libraries(unittest ${GTEST_LIBRARIES})
  target_link_libraries(unittest ${GMOCK_LIBRARIES})
  target_link_libraries(unittest ${CMAKE_DL_LIBS})
  target_link_libraries(unittest ${SOCKET_LIBRARIES})

  # Link with thread library
  target_link_libraries(unittest ${CMAKE_THREAD_LIBS_INIT})

  add_test(licq unittest)

  set(unittest_stamp
    "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/unittest.stamp")
  add_custom_command(OUTPUT "${unittest_stamp}"
    COMMAND ${CMAKE_CTEST_COMMAND} $(ARGS)
    COMMAND ${CMAKE_COMMAND} -E touch "${unittest_stamp}"
    COMMENT "Running unit test"
    DEPENDS unittest)
  add_custom_target(unittest_run ALL DEPENDS "${unittest_stamp}")
endif (BUILD_TESTS)

=== include/licq/CMakeLists.txt ===
set(licq_HEADERS
  ${CMAKE_CURRENT_BINARY_DIR}/licqversion.h

  buffer.h
  byteorder.h
  color.h
  conversation.h
  daemon.h
  event.h
  filter.h
  gpghelper.h
  inifile.h
  macro.h
  md5.h
  oneventmanager.h
  packet.h
  pipe.h
  pluginsignal.h
  protocolmanager.h
  protocolsignal.h
  proxy.h
  sarmanager.h
  socket.h
  socketmanager.h
  statistics.h
  translator.h
  userevents.h
  userid.h
  utility.h
  version.h
)

install(FILES ${licq_HEADERS} DESTINATION "${Licq_INCLUDE_DIR}/licq")

add_subdirectory(contactlist)
add_subdirectory(exceptions)
add_subdirectory(icq)
add_subdirectory(logging)
add_subdirectory(plugin)
add_subdirectory(thread)

=== include/licq/icq/CMakeLists.txt ===
set(licq_HEADERS
  chat.h
  codes.h
  filetransfer.h
  icq.h
  owner.h
  user.h
)

install(FILES ${licq_HEADERS} DESTINATION "${Licq_INCLUDE_DIR}/licq/icq")

=== plugins/forwarder/src/CMakeLists.txt ===
set(forwarder_SRCS
  default_config.cpp
  forwarder.cpp
  main.cpp
)

# Read default configuration, escape quotes and generate a cpp file
add_custom_command(
  OUTPUT ${PROJECT_BINARY_DIR}/src/default_config.cpp
  COMMAND ${CMAKE_COMMAND}
    -DINPUT="${PROJECT_SOURCE_DIR}/licq_forwarder.conf"
    -DOUTPUT="${PROJECT_BINARY_DIR}/src/default_config.cpp"
    -P "${PROJECT_SOURCE_DIR}/create_config.cmake"
  DEPENDS ${PROJECT_SOURCE_DIR}/licq_forwarder.conf
)

licq_add_plugin(licq_forwarder ${forwarder_SRCS})

=== plugins/msn/src/CMakeLists.txt ===
set(msn_SRCS
  msn-sb.cpp
  msn-srv.cpp
  msn-ssl.cpp
  msn.cpp
  msnbuffer.cpp
  msnevent.cpp
  msnpacket.cpp
  owner.cpp
  plugin.cpp
  user.cpp
)

licq_add_plugin(protocol_msn ${msn_SRCS})

=== plugins/qt4-gui/src/dialogs/CMakeLists.txt ===
# Various Dialogs
set(dialogs_SRCS
  aboutdlg.cpp
  addgroupdlg.cpp
  adduserdlg.cpp
  authdlg.cpp
  awaymsgdlg.cpp
  chatdlg.cpp
  customautorespdlg.cpp
  editcategorydlg.cpp
  editfiledlg.cpp
  editfilelistdlg.cpp
  editgrpdlg.cpp
  filedlg.cpp
  filterruledlg.cpp
  forwarddlg.cpp
  gpgkeymanager.cpp
  gpgkeyselect.cpp
  groupdlg.cpp
  hintsdlg.cpp
  historydlg.cpp
  joinchatdlg.cpp
  keyrequestdlg.cpp
  logwindow.cpp
  mmsenddlg.cpp
  ownereditdlg.cpp
  ownermanagerdlg.cpp
  phonedlg.cpp
  randomchatdlg.cpp
  refusedlg.cpp
  registeruser.cpp
  searchuserdlg.cpp
  showawaymsgdlg.cpp
  statsdlg.cpp
  userselectdlg.cpp
  utilitydlg.cpp
)

string(REGEX REPLACE ".cpp" ".h" dialogs_MOC_HDRS "${dialogs_SRCS}")

=== plugins/qt4-gui/src/widgets/CMakeLists.txt ===
set(widgets_SRCS
  calendar.cpp
  colorbutton.cpp
  filenameedit.cpp
  fontedit.cpp
  groupcombobox.cpp
  historyview.cpp
  infofield.cpp
  messagelist.cpp
  mledit.cpp
  mlview.cpp
  protocombobox.cpp
  shortcutedit.cpp
  skinnablebutton.cpp
  skinnablecombobox.cpp
  skinnablelabel.cpp
  specialspinbox.cpp
  tabwidget.cpp
  timezoneedit.cpp
  treepager.cpp
)

if (HAVE_HUNSPELL)
  list(APPEND widgets_SRCS spellchecker.cpp)
endif (HAVE_HUNSPELL)

string(REGEX REPLACE ".cpp" ".h" widgets_MOC_HDRS "${widgets_SRCS}")

=== debian/changelog ===
licq (1.7.1-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:42 +0100

licq (1.7.1-1) unstable; urgency=low

  * New upstream version 1.7.1
  * Bump standards version to 3.9.4 with no changes

 -- Erik Johansson <debian@ejohansson.se>  Wed, 30 Jan 2013 21:36:43 +0100

=== debian/control ===
Source: licq
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 9), imagemagick,
 cmake (>= 2.6.0),
 kdelibs5-dev,
 libboost-dev (>= 1.36.0),
 libboost-regex-dev (>= 1.36.0),
 libcdk5-dev,
 libgloox-dev (>= 1.0),
 libgpgme11-dev (>= 0.4.2),
 libhunspell-dev,
 libncurses5-dev,
 libqt4-dev (>= 4.3.0), qt4-dev-tools,
 libssl-dev,
 libxosd-dev (>= 2.1.0),
 libxss-dev
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Erik Johansson <debian@ejohansson.se>
Standards-Version: 3.9.4
Vcs-Git: git://github.com/licq-im/debian.git
Vcs-Browser: https://github.com/licq-im/debian
Homepage: http://www.licq.org/

Package: licq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq-plugin-qt4 | licq-plugin-ui
Recommends: sox
Suggests: bind9-host | host, ping, traceroute
Description: multi-protocol instant messaging client (base files)
 Licq is an instant messaging client daemon that supports a number of
 interfaces via plug-ins, primarily KDE or Qt, but also console, and several
 utility plug-ins.  Included in this package is support for AIM and ICQ.
 Support for MSN and Jabber is available as separate plug-ins.
 .
 Implemented features include messaging, chat, file transfer, whitepages,
 history, invisible list, server-side stored contacts, typing
 notification, phone book, user pictures, proxy support, user groups,
 network monitor window, themed docking skin and icon pack support,
 FIFO support for remote control, international support with Unicode and
 translations, per-user customized auto responses, SSL secure client to
 client connections and GPG encrypted messages.
 .
 At least one plug-in is required for Licq to function.  The plug-ins
 are distributed in separate packages named "licq-plugin-*".

Package: licq-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Licq development and header files
 This package contains files required to compile Licq plug-ins that are not
 included in the main Licq package.  If you aren't going to compile plug-ins,
 you don't need this package.

Package: licq-plugin-autoreply
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Description: autoreply plug-in for Licq
 This is an autoreplier plug-in for the Licq instant messaging client.  Any
 events (messages, URLs, etc.) received while the plug-in is enabled will cause
 the plug-in to reply with the output from any specified program (e.g.,
 fortune).

Package: licq-plugin-console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: licq (= ${binary:Version})
Provides: licq-plugin-ui
Description: console user interface plug-in for Licq
 This is a console user interface plug-in for the Licq instant messaging
 client.  It does not have all the features that the Qt GUI supports, but it
 does offer a number of really cool text-mode things such as multiple windows,
 contact list pane and log window.

Package: licq-plugin-forwarder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Description: forwarder plug-in for Licq
 This is a forwarder plug-in for the Licq instant messaging client.  Any events
 (messages, URLs, etc.) received while the plug-in is enabled will be forwarded
 either via SMTP to a given email account or via ICQ to a given UIN.

Package: licq-plugin-jabber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Description: Jabber plug-in for Licq
 This is a plug-in for the Licq instant messaging client that enables
 communication over a Jabber (XMPP) instant messaging network, such as Google
 Talk and the Facebook chat.

Package: licq-plugin-kde
Architecture: all
Depends: licq-plugin-kde4, ${misc:Depends}
Section: oldlibs
Priority: extra
Description: dummy package for transition to licq-plugin-kde4
 This is a transitional dummy package to ease the migration from the deprecated
 licq-plugin-kde to the new licq-plugin-kde4 package.  You can remove it
 safely.

Package: licq-plugin-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq-plugin-qt4-common
Recommends: licq (= ${binary:Version})
Provides: licq-plugin-ui
Description: graphical user interface plug-in for Licq using KDE4
 This package provides a KDE-based graphical user interface to the Licq instant
 messaging client.  The GUI provides access to all features available in Licq.
 .
 The GUI contains a wide range of configurable options as well as skin support
 allowing behaviour and appearance to be customized in many ways.  Features
 include spell checking, auto-raise and auto-popup incoming messages, tray icon
 and a searchable history.
 .
 KDE4-GUI is based on the old KDE-GUI (licq-plugin-kde) but uses KDE4 and
 includes new features such as configurable keyboard shortcuts as well as
 entirely new dialogs for messaging, history and settings.

Package: licq-plugin-msn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Description: MSN plug-in for Licq
 This is a plug-in for the Licq instant messaging client that enables
 communication over the MSN Messenger instant messaging network.

Package: licq-plugin-osd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Description: on-screen display plug-in for Licq
 This is a plug-in for the Licq instant messaging client that enables it to
 display new messages as an on-screen display message.  User logged on/off and
 status changed messages are also supported.

Package: licq-plugin-qt
Architecture: all
Depends: licq-plugin-qt4, ${misc:Depends}
Section: oldlibs
Priority: extra
Description: dummy package for transition to licq-plugin-qt4
 This is a transitional dummy package to ease the migration from the deprecated
 licq-plugin-qt to the new licq-plugin-qt4 package.  You can remove it safely.

Package: licq-plugin-qt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq-plugin-qt4-common
Recommends: licq (= ${binary:Version})
Provides: licq-plugin-ui
Replaces: licq-plugin-qt (<< 1.3.9-1)
Breaks: licq-plugin-qt (<< 1.3.9-1)
Description: graphical user interface plug-in for Licq using Qt4
 This package provides a Qt-based graphical user interface to the Licq instant
 messaging client.  The GUI provides access to all features available in Licq
 and is the default plug-in for Licq.
 .
 The GUI contains a wide range of configurable options as well as skin support
 allowing behaviour and appearance to be customized in many ways.  Features
 include spell checking, auto-raise and auto-popup incoming messages, tray icon
 and a searchable history.
 .
 By taking advantage of the desktop integration features of Qt4, the GUI can
 adapt to standard desktops with regards to look and feel.  Docking support is
 also available for Window Maker, AfterStep and Enlightenment among others.
 .
 Qt4-GUI is based on the old Qt-GUI (licq-plugin-qt) but uses Qt4 and includes
 new features such as spell checking and configurable keyboard shortcuts as
 well as entirely new dialogs for messaging, history and settings.  Note that
 spell checking and tray icon are available even though this version is not
 linked with KDE libraries.

Package: licq-plugin-qt4-common
Architecture: all
Depends: ${misc:Depends}
Replaces: licq-plugin-qt4 (<< 1.5.0~)
Breaks: licq-plugin-qt4 (<< 1.5.0~)
Description: common data files for the Qt4 and KDE4 Licq plugins
 This package contains common skins, icons and similar files that are used by
 the Qt4 and KDE4 plugins for Licq. The package is only of use if at least one
 of licq-plugin-qt4 and licq-plugin-kde4 is installed.

Package: licq-plugin-rms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Description: remote management server plug-in for telnet Licq access
 This package provides the means to manage Licq instant messaging sessions
 remotely through a telnet connection.  For obvious reasons, if you don't
 need this plug-in, you probably shouldn't install it.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk

DEB_INSTALL_DOCS_ALL =
DEB_INSTALL_CHANGELOGS_ALL = doc/CHANGELOG
DEB_DH_MAKESHLIBS_ARGS_ALL = -X usr/lib/licq/

# cmake settings
CMAKE = cmake
CMAKE_BUILDDIR = obj-$(if $(1),$(1)-)$(DEB_BUILD_GNU_TYPE)
CMAKE_INSTALL_PREFIX = /usr
CMAKE_NORMAL_ARGS  = -DCMAKE_INSTALL_PREFIX="$(CMAKE_INSTALL_PREFIX)"
CMAKE_NORMAL_ARGS += -DCMAKE_C_COMPILER:FILEPATH="$(CC)"
CMAKE_NORMAL_ARGS += -DCMAKE_CXX_COMPILER:FILEPATH="$(CXX)"
CMAKE_NORMAL_ARGS += -DCMAKE_C_FLAGS="$(CFLAGS) $(CPPFLAGS)"
CMAKE_NORMAL_ARGS += -DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS)"
CMAKE_NORMAL_ARGS += -DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)"
CMAKE_NORMAL_ARGS += -DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)"
CMAKE_NORMAL_ARGS += -DCMAKE_SKIP_RPATH=ON
CMAKE_NORMAL_ARGS += -DCMAKE_VERBOSE_MAKEFILE=ON
export CTEST_OUTPUT_ON_FAILURE=1

# plugin packages
PLUGINS := $(filter licq-plugin-%,$(shell dh_listpackages))
PLUGINS := $(patsubst licq-plugin-%,%,$(PLUGINS))
PLUGINS := $(filter-out kde qt qt4-common,$(PLUGINS))

# directories of plugin packages in source tree
src/autoreply = auto-reply
src/console   = console
src/forwarder = forwarder
src/jabber    = jabber
src/kde4      = qt4-gui
src/msn       = msn
src/osd       = osd
src/qt4       = qt4-gui
src/rms       = rms


# Build rules

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
configure/licq:: CMAKE_EXTRA_ARGS += -DBUILD_TESTS=ON
else
configure/licq:: CMAKE_EXTRA_ARGS += -DBUILD_TESTS=OFF
endif

configure/licq:: $(CMAKE_BUILDDIR)/CMakeCache.txt
$(CMAKE_BUILDDIR)/CMakeCache.txt:
	mkdir -p $(@D)
	cd $(@D) && $(CMAKE) $(CURDIR) $(CMAKE_NORMAL_ARGS) $(CMAKE_EXTRA_ARGS)

build/licq:: debian/stamp-licq-build
debian/stamp-licq-build:
	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(CMAKE_BUILDDIR)
	touch $@

clean::
	rm -f debian/stamp-licq-build
	rm -rf $(CMAKE_BUILDDIR)


# Plugins
define build-plugin
configure/licq-plugin-$(1):: CMAKE_EXTRA_ARGS += -DCMAKE_MODULE_PATH=$(CURDIR)/cmake
configure/licq-plugin-$(1):: plugins/$$(src/$(1))/$(CMAKE_BUILDDIR)/CMakeCache.txt
plugins/$$(src/$(1))/$(CMAKE_BUILDDIR)/CMakeCache.txt:
	mkdir -p $$(@D)
	cd $$(@D) && $$(CMAKE) $(CURDIR)/plugins/$$(src/$(1)) $$(CMAKE_NORMAL_ARGS) $$(CMAKE_EXTRA_ARGS)

build/licq-plugin-$(1):: debian/stamp-$(1)-build
debian/stamp-$(1)-build:
	$$(DEB_MAKE_ENVVARS) $$(MAKE) -C plugins/$$(src/$(1))/$(CMAKE_BUILDDIR)
	touch $$@

install/licq-plugin-$(1)::
	$$(DEB_MAKE_ENVVARS) $$(MAKE) -C plugins/$$(src/$(1))/$(CMAKE_BUILDDIR) install DESTDIR=$(CURDIR)/debian/licq-plugin-$(1)
ifeq ($(1),qt4)
	rm debian/licq-plugin-qt4/usr/share/licq/qt4-gui/emoticons/FeltTip4/LICENSE
	mkdir -p debian/licq-plugin-qt4-common/usr/share/licq
	mv debian/licq-plugin-qt4/usr/share/licq/qt4-gui debian/licq-plugin-qt4-common/usr/share/licq/
endif
ifneq ($(filter $(1), qt4 kde4),)
	rm -r debian/licq-plugin-$(1)/usr/share/licq
endif

clean::
	rm -f debian/stamp-$(1)-build
	rm -rf plugins/$$(src/$(1))/$(CMAKE_BUILDDIR)
endef

configure/licq-plugin-kde4:: CMAKE_EXTRA_ARGS += -DWITH_KDE=ON

$(foreach X,$(PLUGINS),$(eval $(call build-plugin,$(X))))


# Install rules

install/licq-plugin-qt4-common:: install/licq-plugin-qt4

install/licq install/licq-dev:: install-licq-common
install-licq-common::
	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(CMAKE_BUILDDIR) install DESTDIR=$(CURDIR)/debian/licq
	mkdir -p debian/licq/usr/share/pixmaps
	cp plugins/qt4-gui/src/xpm/licq.xpm debian/licq/usr/share/pixmaps
	mkdir -p debian/licq-dev/usr
	mv debian/licq/usr/include debian/licq-dev/usr/include

## licq 1.8.1

=== CMakeLists.txt ===
project(Licq)
cmake_minimum_required(VERSION 2.6.0)
cmake_policy(VERSION 2.6)

# Internal cmake modules
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)

# Includes
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckFileOffsetBits)

# Options
option(ENABLE_NLS "Enable translation of program messages" ON)
option(USE_DOXYGEN "Build docs via doxygen" OFF)
option(USE_FIFO "Use Licq FIFO" ON)
option(USE_HEBREW "Include support for hebrew reverse string" OFF)
option(USE_OPENSSL "Enable secure communication channels" ON)
option(USE_SOCKS5 "Enable socks5 support" OFF)
option(BUILD_PLUGINS "Build all plugins" OFF)
option(BUILD_TESTS "Build all unit tests" ON)

set(DLOPEN_POLICY RTLD_NOW CACHE STRING "2nd dlopen parameter")
mark_as_advanced(DLOPEN_POLICY)

include(cmake/LicqCommonCompilerFlags.cmake)

# Network libraries (needed on Solaris)
check_library_exists(socket getaddrinfo "" HAVE_LIBSOCKET)
if (HAVE_LIBSOCKET)
  set(SOCKET_LIBRARIES ${SOCKET_LIBRARIES} socket)
endif (HAVE_LIBSOCKET)
check_library_exists(nsl gethostbyname "" HAVE_LIBNSL)
if (HAVE_LIBNSL)
  set(SOCKET_LIBRARIES ${SOCKET_LIBRARIES} nsl)
endif (HAVE_LIBNSL)

# Functions
check_function_exists(readdir_r HAVE_READDIR_R)
check_function_exists(backtrace HAVE_BACKTRACE)
check_function_exists(prctl HAVE_PRCTL)

if(CMAKE_SYSTEM MATCHES "SunOS.*")
  # Make readdir_r on Solaris behave normally
  add_definitions(-D_POSIX_PTHREAD_SEMANTICS)
endif(CMAKE_SYSTEM MATCHES "SunOS.*")

# iconv
find_package(Iconv REQUIRED)
if (ICONV_SECOND_ARGUMENT_IS_CONST)
  set(ICONV_CONST "const")
endif (ICONV_SECOND_ARGUMENT_IS_CONST)

# gettext
if (ENABLE_NLS)
  set(GETTEXT_FOUND FALSE)

  find_path(GETTEXT_INCLUDE_DIR libintl.h)
  if (GETTEXT_INCLUDE_DIR)
    set(CMAKE_REQUIRED_LIBRARIES ${ICONV_LIBRARIES})
    check_function_exists(dgettext LIBC_HAS_DGETTEXT)
    if (LIBC_HAS_DGETTEXT)
      set(GETTEXT_FOUND TRUE)
    else (LIBC_HAS_DGETTEXT)
      find_library(LIBINTL_LIBRARY NAMES intl libintl)
      check_library_exists(${LIBINTL_LIBRARY} "dgettext" "" LIBINTL_HAS_DGETTEXT)
      if (LIBINTL_HAS_DGETTEXT)
        set(GETTEXT_LIBRARIES ${LIBINTL_LIBRARY})
        set(GETTEXT_FOUND TRUE)
      endif (LIBINTL_HAS_DGETTEXT)
    endif (LIBC_HAS_DGETTEXT)
    set(CMAKE_REQUIRED_LIBRARIES)
  endif (GETTEXT_INCLUDE_DIR)

  if (NOT GETTEXT_FOUND)
    message(FATAL_ERROR "Gettext NOT found")
  endif (NOT GETTEXT_FOUND)
endif (ENABLE_NLS)

# OpenSSL
if (USE_OPENSSL)
  check_library_exists(crypto DH_free "" have_openssl_crypto)
  if (have_openssl_crypto)
    find_package(OpenSSL)
  endif (have_openssl_crypto)

  if (OPENSSL_FOUND)
    list(APPEND OPENSSL_LIBRARIES crypto)
  else (OPENSSL_FOUND)
    message(STATUS "OpenSSL NOT found; secure communication channels will not be available")
    set(USE_OPENSSL OFF)
  endif (OPENSSL_FOUND)
endif (USE_OPENSSL)

# GPGME
find_package(Gpgme)
if (GPGME_VANILLA_FOUND)
  set(HAVE_LIBGPGME 1)
  check_file_offset_bits()
  if (_FILE_OFFSET_BITS)
      add_definitions(-D_FILE_OFFSET_BITS=${_FILE_OFFSET_BITS})
  endif (_FILE_OFFSET_BITS)
endif (GPGME_VANILLA_FOUND)

# SOCKS5
if (USE_SOCKS5)
  find_path(SOCKS5_INCLUDE_DIR socks.h)
  find_library(SOCKS5_LIBRARY NAMES socks5 socks)
  if (NOT SOCKS5_INCLUDE_DIR OR NOT SOCKS5_LIBRARY)
    message(FATAL_ERROR "SOCKS5 NOT found")
  endif (NOT SOCKS5_INCLUDE_DIR OR NOT SOCKS5_LIBRARY)
  set(SOCKS5_LIBRARIES ${SOCKS5_LIBRARY})
endif (USE_SOCKS5)

if (BUILD_TESTS)
  enable_testing()

  # Google Test
  add_subdirectory(3rdparty/gtest)
  set(GTEST_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/gtest/include")
  set(GTEST_LIBRARIES gtest)

  # Google Mock
  add_subdirectory(3rdparty/gmock)
  set(GMOCK_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/gmock/include")
  set(GMOCK_LIBRARIES gmock gmock_main)
else (BUILD_TESTS)
  message(STATUS "Unit tests disabled")
endif (BUILD_TESTS)

# Set up installation paths
include(cmake/LicqDefaultPaths.cmake)

# Generate config.h
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/include/config.h
)

# Generate licqversion.h
include(cmake/LicqVersion.cmake)

# Doxygen is option
find_package(Doxygen)

if (USE_DOXYGEN)
  if (NOT DOXYGEN_DOT_FOUND)
    message(SEND_ERROR "Need the dot program to build documentation")
  endif (NOT DOXYGEN_DOT_FOUND)

  set(DOXY_CONFIG ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  message(STATUS "Generating ${DOXY_CONFIG}")
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/doc/Doxyfile.in"
    ${DOXY_CONFIG} @ONLY)

  add_custom_target(docs
    ${DOXYGEN_EXECUTABLE} ${DOXY_CONFIG}
    DEPENDS ${DOXY_CONFIG}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Generating doxygen documentation" VERBATIM)
endif (USE_DOXYGEN)

# make uninstall (file added to top binary dir to work with build_all)
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake"
  @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake"
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

add_subdirectory(cmake)
add_subdirectory(include)
add_subdirectory(share)
add_subdirectory(src)

if (ENABLE_NLS)
  add_subdirectory(po)
endif (ENABLE_NLS)

if (BUILD_PLUGINS)
  add_subdirectory(plugins)
endif (BUILD_PLUGINS)

=== cmake/CMakeLists.txt ===
set(licq_CMAKE
  cmake_uninstall.cmake.in
  FindLicq.cmake
  LicqCommonCompilerFlags.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/LicqConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/LicqPaths.cmake
)

configure_file(
  LicqConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/LicqConfig.cmake
  @ONLY
)

configure_file(
  LicqPaths.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/LicqPaths.cmake
  @ONLY
)

install(FILES ${licq_CMAKE} DESTINATION ${Licq_SHARE_DIR}/cmake)

add_subdirectory(Modules)

=== plugins/CMakeLists.txt ===
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

file(GLOB cmake_plugins RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} */CMakeLists.txt)

foreach (plugin ${cmake_plugins})
  get_filename_component(dir ${plugin} PATH)
  set(licq_target_prefix "${dir}_")
  add_subdirectory(${dir})
endforeach (plugin)

=== po/CMakeLists.txt ===
set(po_FILES
  be
  de
  es
)

find_package(Gettext REQUIRED)

if (NOT GETTEXT_MSGMERGE_EXECUTABLE AND NOT GETTEXT_MSGFMT_EXECUTABLE)
  message(FATAL_ERROR "Gettext message catalog tools NOT found")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE AND NOT GETTEXT_MSGFMT_EXECUTABLE)

find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)
if (GETTEXT_XGETTEXT_EXECUTABLE)
  # Get list of all source files
  file(GLOB_RECURSE po_source
    RELATIVE ${PROJECT_SOURCE_DIR}
    ${PROJECT_SOURCE_DIR}/src/*.c
    ${PROJECT_SOURCE_DIR}/src/*.cpp
  )

  add_custom_target(translations_update
    ${GETTEXT_XGETTEXT_EXECUTABLE}
      --directory ${PROJECT_SOURCE_DIR}
      --output="${CMAKE_CURRENT_SOURCE_DIR}/licq.pot"
      --default-domain=licq
      --add-comments=TRANSLATORS:
      --keyword=tr
      --keyword=tr_NOOP
      --copyright-holder='Licq Developers'
      --msgid-bugs-address="licq-dev@googlegroups.com"
      --sort-output
      ${po_source}
    COMMENT "Updating licq.pot"
  )
endif (GETTEXT_XGETTEXT_EXECUTABLE)

foreach(lang ${po_FILES})
  set(po  "${CMAKE_CURRENT_SOURCE_DIR}/${lang}.po")
  set(gmo "${CMAKE_CURRENT_BINARY_DIR}/${lang}.gmo")

  # Update po files after pot file
  add_custom_command(TARGET translations_update POST_BUILD
    COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} --quiet --update --backup=none
      --sort-output ${po} ${CMAKE_CURRENT_SOURCE_DIR}/licq.pot
    COMMENT "Updating ${lang}.po"
  )

  # Add command to build X.gmo from X.po
  add_custom_command(OUTPUT ${gmo}
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${gmo} ${po}
    DEPENDS ${po}
  )

  install(FILES ${gmo}
    DESTINATION "${Licq_LOCALE_DIR}/${lang}/LC_MESSAGES"
    RENAME licq.mo
  )

  set(gmoFiles ${gmoFiles} ${gmo})
endforeach(lang)

add_custom_target(translations ALL DEPENDS ${gmoFiles})

=== share/CMakeLists.txt ===
add_subdirectory(sounds)
add_subdirectory(translations)
add_subdirectory(utilities)

=== 3rdparty/gmock/CMakeLists.txt ===
include_directories(${GTEST_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

add_library(gmock STATIC src/gmock-all.cc)
add_library(gmock_main STATIC src/gmock_main.cc)

=== cmake/Modules/CMakeLists.txt ===
# Dist some modules so that plugins can use them
set(Licq_CMAKE_MODULES
  FindIconv.cmake
)

install(FILES ${Licq_CMAKE_MODULES}
  DESTINATION ${Licq_SHARE_DIR}/cmake/Modules)

=== include/licq/CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,14 @@
   byteorder.h
   color.h
   conversation.h
+  crypto.h
   daemon.h
   event.h
   filter.h
   gpghelper.h
   inifile.h
   macro.h
-  md5.h
+  mainloop.h
   oneventmanager.h
   packet.h
   pipe.h

=== plugins/aosd/CMakeLists.txt ===
project(aosd)
cmake_minimum_required(VERSION 2.6.0)
cmake_policy(VERSION 2.6)

# Licq
find_package(Licq REQUIRED)
include_directories(${Licq_INCLUDE_DIRS})

# Generate pluginversion.h
include(version.cmake)
licq_create_plugin_version_file(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Atheme OSD text
find_package(PkgConfig REQUIRED)
pkg_check_modules(AOSD REQUIRED libaosd-text>=0.2.7)
add_definitions(${AOSD_CFLAGS})
include_directories(${AOSD_INCLUDE_DIRS})
link_directories(${AOSD_LIBRARY_DIRS})

add_subdirectory(src)

=== plugins/jabber/CMakeLists.txt ===
project(jabber)
cmake_minimum_required(VERSION 2.6.0)
cmake_policy(VERSION 2.6)

include(CheckFunctionExists)

# Licq
find_package(Licq REQUIRED)
include_directories(${Licq_INCLUDE_DIRS})

# Generate pluginversion.h
include(version.cmake)
licq_create_plugin_version_file(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Find gloox
find_package(PkgConfig REQUIRED)
pkg_check_modules(gloox REQUIRED gloox>=1.0)
add_definitions(${gloox_CFLAGS})
include_directories(${gloox_INCLUDE_DIRS})
link_directories(${gloox_LIBRARY_DIRS})

# See if timegm(3) exists
check_function_exists(timegm HAVE_TIMEGM)
if (HAVE_TIMEGM)
  add_definitions("-DHAVE_TIMEGM=1")
endif (HAVE_TIMEGM)

add_subdirectory(src)

=== plugins/msn/CMakeLists.txt ===
project(msn)
cmake_minimum_required(VERSION 2.6.0)
cmake_policy(VERSION 2.6)

include(CheckFunctionExists)

# Licq
find_package(Licq REQUIRED)
include_directories(${Licq_INCLUDE_DIRS})

# Generate pluginversion.h
include(version.cmake)
licq_create_plugin_version_file(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# strndup
check_function_exists(strndup have_strndup)
if (have_strndup)
  add_definitions(-DHAVE_STRNDUP=1)
endif (have_strndup)

add_subdirectory(src)

=== plugins/qt4-gui/CMakeLists.txt ===
project(Qt4-GUI)
cmake_minimum_required(VERSION 2.4.2)
include(CheckIncludeFile)
include(TestCXXAcceptsFlag)
include(CheckLibraryExists)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# Use KDE support
option(WITH_KDE "Compile with KDE support" OFF)

# Licq
find_package(Licq REQUIRED)
include_directories(${Licq_INCLUDE_DIRS})

# Generate pluginversion.h
include(version.cmake)
licq_create_plugin_version_file(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(INSTALL_QTGUI_DIR qt4-gui CACHE STRING
  "Icons etc. will be installed to ${Licq_SHARE_DIR}/INSTALL_QTGUI_DIR.")
mark_as_advanced(INSTALL_QTGUI_DIR)

# Holds all libraries we should link to
set(LIBRARIES)

# Check for X11 and (optional) screensaver support
if (NOT APPLE)
  find_package(X11 REQUIRED)

  if (X11_Xscreensaver_FOUND)
    set(X11_LIBRARIES ${X11_LIBRARIES} ${X11_Xscreensaver_LIB})
    set(USE_SCRNSAVER 1)
  endif (X11_Xscreensaver_FOUND)

  include_directories(${X11_INCLUDE_DIR})
  set(LIBRARIES ${LIBRARIES} ${X11_LIBRARIES})
endif (NOT APPLE)


# Check for Qt4
set(QT_MIN_VERSION "4.3.0")

# Check for Qt unless WITH_KDE is requested
if (NOT WITH_KDE)
  find_package(Qt4 REQUIRED)

  # Check for HunSpell
  find_package(Hunspell)
  if (HUNSPELL_FOUND)
    set(HAVE_HUNSPELL 1)
    add_definitions(${HUNSPELL_DEFINITIONS})
    include_directories(${HUNSPELL_INCLUDE_DIRS})
    set(LIBRARIES ${LIBRARIES} ${HUNSPELL_LIBRARIES})
  endif (HUNSPELL_FOUND)

else (NOT WITH_KDE)
  # Stop KDE4 from adding an uninstall target
  set(_kde4_uninstall_rule_created TRUE)

  find_package(KDE4 REQUIRED)
  set(USE_KDE ${KDE4_FOUND})

  # Unset variables set by FindKDE4Internal
  set(LIBRARY_OUTPUT_PATH)

  # FindKDE4Internal adds "-Wl,--no-undefined" to the linker command
  # line. This doesn't work for use, since all symbols from the daemon
  # are undefined. So we remove it.
  string(REPLACE "-Wl,--no-undefined" ""
    CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS}")

  # FindKDE4Internal adds "-fvisibility=hidden" to the compiler
  # command line. This hides symbols in the plugin that the daemon
  # looks for. So we remove it.
  string(REPLACE "-fvisibility=hidden" ""
    CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

  # FindKDE4Internal disables exceptions, but the daemon is built with
  # exceptions so we must have them enabled here as well.
  string(REPLACE "-fno-exceptions" ""
    CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  string(REPLACE "-DQT_NO_EXCEPTIONS" ""
    CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

  add_definitions(${KDE4_DEFINITIONS})
  link_directories(${KDE4_LIB_DIR})

  include_directories(${KDE4_INCLUDE_DIR})
  set(LIBRARIES ${LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS})
endif (NOT WITH_KDE)

set(QT_USE_QTXML 1)
include(${QT_USE_FILE})
set(LIBRARIES ${LIBRARIES} ${QT_LIBRARIES})

# Local includes
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

# Misc headers
check_include_file(locale.h HAVE_LOCALE_H)


# To find config.h
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

# Generate config.h
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(doc)
add_subdirectory(po)
add_subdirectory(share)
add_subdirectory(src)

=== debian/changelog ===
licq (1.8.1-2build1) trusty; urgency=medium

  * No-change rebuild for gloox transition (LP: #1273967).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 29 Jan 2014 22:49:06 +0400

licq (1.8.1-2) unstable; urgency=low

  * Break circular dependency between licq and licq-plugin-icq (Closes: #729362)

 -- Erik Johansson <debian@ejohansson.se>  Wed, 13 Nov 2013 20:29:27 +0100

licq (1.8.1-1) unstable; urgency=low

  * New upstream version 1.8.1
  * Remove dummy packages licq-plugin-(kde|qt)
  * Remove licq-plugin-console as it is no longer available from upstream
    (Closes: #96445, #138298, #693953)
  * Add new licq-plugin-icq as ICQ/AIM is no longer part of licq daemon

 -- Erik Johansson <debian@ejohansson.se>  Thu, 31 Oct 2013 20:40:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,16 @@
  kdelibs5-dev,
  libboost-dev (>= 1.36.0),
  libboost-regex-dev (>= 1.36.0),
- libcdk5-dev,
  libgloox-dev (>= 1.0),
  libgpgme11-dev (>= 0.4.2),
  libhunspell-dev,
- libncurses5-dev,
  libqt4-dev (>= 4.3.0), qt4-dev-tools,
  libssl-dev,
  libxosd-dev (>= 2.1.0),
  libxss-dev
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Erik Johansson <debian@ejohansson.se>
+Maintainer: Erik Johansson <debian@ejohansson.se>
 Standards-Version: 3.9.4
 Vcs-Git: git://github.com/licq-im/debian.git
 Vcs-Browser: https://github.com/licq-im/debian
@@ -24,14 +21,18 @@
 
 Package: licq
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, licq-plugin-qt4 | licq-plugin-ui
-Recommends: sox
+# Remove dependency on icq once Jessie has been released. Also change icq's
+# recommendation on licq to depends.
+Depends: ${shlibs:Depends}, ${misc:Depends}, licq-plugin-qt4 | licq-plugin-ui,
+ licq-plugin-icq
+Recommends: sox,
 Suggests: bind9-host | host, ping, traceroute
 Description: multi-protocol instant messaging client (base files)
  Licq is an instant messaging client daemon that supports a number of
- interfaces via plug-ins, primarily KDE or Qt, but also console, and several
- utility plug-ins.  Included in this package is support for AIM and ICQ.
- Support for MSN and Jabber is available as separate plug-ins.
+ interfaces via plug-ins, currently KDE or Qt, and several utility plug-ins.
+ .
+ Support for different instant messaging networks, such as ICQ, AIM, MSN and
+ Jabber, is available as separate plug-ins.
  .
  Implemented features include messaging, chat, file transfer, whitepages,
  history, invisible list, server-side stored contacts, typing
@@ -62,17 +63,6 @@
  the plug-in to reply with the output from any specified program (e.g.,
  fortune).
 
-Package: licq-plugin-console
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: licq (= ${binary:Version})
-Provides: licq-plugin-ui
-Description: console user interface plug-in for Licq
- This is a console user interface plug-in for the Licq instant messaging
- client.  It does not have all the features that the Qt GUI supports, but it
- does offer a number of really cool text-mode things such as multiple windows,
- contact list pane and log window.
-
 Package: licq-plugin-forwarder
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
@@ -81,6 +71,14 @@
  (messages, URLs, etc.) received while the plug-in is enabled will be forwarded
  either via SMTP to a given email account or via ICQ to a given UIN.
 
+Package: licq-plugin-icq
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: licq (= ${binary:Version})
+Description: ICQ/AIM plug-in for Licq
+ This is a plug-in for the Licq instant messaging client that enables
+ communication over ICQ and/or AIM instant messaging network.
+
 Package: licq-plugin-jabber
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
@@ -88,16 +86,6 @@
  This is a plug-in for the Licq instant messaging client that enables
  communication over a Jabber (XMPP) instant messaging network, such as Google
  Talk and the Facebook chat.
-
-Package: licq-plugin-kde
-Architecture: all
-Depends: licq-plugin-kde4, ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: dummy package for transition to licq-plugin-kde4
- This is a transitional dummy package to ease the migration from the deprecated
- licq-plugin-kde to the new licq-plugin-kde4 package.  You can remove it
- safely.
 
 Package: licq-plugin-kde4
 Architecture: any
@@ -131,15 +119,6 @@
  This is a plug-in for the Licq instant messaging client that enables it to
  display new messages as an on-screen display message.  User logged on/off and
  status changed messages are also supported.
-
-Package: licq-plugin-qt
-Architecture: all
-Depends: licq-plugin-qt4, ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: dummy package for transition to licq-plugin-qt4
- This is a transitional dummy package to ease the migration from the deprecated
- licq-plugin-qt to the new licq-plugin-qt4 package.  You can remove it safely.
 
 Package: licq-plugin-qt4
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -25,12 +25,13 @@
 # plugin packages
 PLUGINS := $(filter licq-plugin-%,$(shell dh_listpackages))
 PLUGINS := $(patsubst licq-plugin-%,%,$(PLUGINS))
-PLUGINS := $(filter-out kde qt qt4-common,$(PLUGINS))
+PLUGINS := $(filter-out qt4-common,$(PLUGINS))
 
 # directories of plugin packages in source tree
 src/autoreply = auto-reply
 src/console   = console
 src/forwarder = forwarder
+src/icq       = icq
 src/jabber    = jabber
 src/kde4      = qt4-gui
 src/msn       = msn

=== debian/watch ===
version=3
http://sf.net/licq/licq-([^-RC]+)\.tar\.bz2

## licq 1.8.2

=== include/CMakeLists.txt ===
add_subdirectory(licq)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 set(tested_SRCS
   conversation.cpp
+  crypto.cpp
   inifile.cpp
+  md5.cpp
 
   logging/adjustablelogsink.cpp
   logging/log.cpp
@@ -9,9 +11,14 @@
   logging/pluginlogsink.cpp
 
   plugin/generalplugin.cpp
+  plugin/generalpluginhelper.cpp
+  plugin/generalplugininstance.cpp
   plugin/plugin.cpp
+  plugin/plugininstance.cpp
   plugin/pluginthread.cpp
   plugin/protocolplugin.cpp
+  plugin/protocolpluginhelper.cpp
+  plugin/protocolplugininstance.cpp
 
   thread/condition.cpp
   thread/mutexlocker.cpp
@@ -29,9 +36,11 @@
   filter.cpp
   gpghelper.cpp
   hebrev.c
+  icq-public.cpp
   licq.cpp
+  licq-upgrade.cpp
   main.cpp
-  md5.cpp
+  mainloop.cpp
   oneventmanager.cpp
   packet.cpp
   protocolmanager.cpp
@@ -52,24 +61,6 @@
   contactlist/userhistory.cpp
   contactlist/usermanager.cpp
 
-  icq/buffer.cpp
-  icq/chat.cpp
-  icq/codes.c
-  icq/filetransfer.cpp
-  icq/icq-srv.cpp
-  icq/icq-tcp.cpp
-  icq/icq.cpp
-  icq/icqprotocolplugin.cpp
-  icq/oscarservice.cpp
-  icq/owner.cpp
-  icq/packet-srv.cpp
-  icq/packet-tcp.cpp
-  icq/rtf.cc
-  icq/socket.cpp
-  icq/threads.cpp
-  icq/user.cpp
-  icq/userclients.cpp
-
   logging/logservice.cpp
   logging/streamlogsink.cpp
   logging/threadlog.cpp
@@ -82,6 +73,7 @@
 set(test_SRCS
   tests/conversationtest.cpp
   tests/inifiletest.cpp
+  tests/cryptotest.cpp
 
   logging/tests/adjustablelogsinktest.cpp
   logging/tests/logdistributortest.cpp
@@ -89,9 +81,11 @@
   logging/tests/logutilstest.cpp
   logging/tests/pluginlogsinktest.cpp
 
+  plugin/tests/generalpluginhelpertest.cpp
   plugin/tests/generalplugintest.cpp
   plugin/tests/plugintest.cpp
   plugin/tests/pluginthreadtest.cpp
+  plugin/tests/protocolpluginhelpertest.cpp
   plugin/tests/protocolplugintest.cpp
 
   thread/tests/conditiontest.cpp
@@ -118,6 +112,11 @@
 
 # Link with thread library
 target_link_libraries(licq ${CMAKE_THREAD_LIBS_INIT})
+
+# Must link with rt for clock_gettime
+if (UNIX AND NOT APPLE)
+  target_link_libraries(licq rt)
+endif (UNIX AND NOT APPLE)
 
 # Must export symbols from daemon so that plugins can use them
 set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_EXE_EXPORTS_CXX_FLAG}")
@@ -161,6 +160,7 @@
   target_link_libraries(unittest ${GTEST_LIBRARIES})
   target_link_libraries(unittest ${GMOCK_LIBRARIES})
   target_link_libraries(unittest ${CMAKE_DL_LIBS})
+  target_link_libraries(unittest ${OPENSSL_LIBRARIES})
   target_link_libraries(unittest ${SOCKET_LIBRARIES})
 
   # Link with thread library

=== 3rdparty/gtest/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

add_library(gtest STATIC src/gtest-all.cc)

=== plugins/auto-reply/CMakeLists.txt ===
project(auto-reply)
cmake_minimum_required(VERSION 2.6.0)
cmake_policy(VERSION 2.6)

# Licq
find_package(Licq REQUIRED)
include_directories(${Licq_INCLUDE_DIRS})

# Generate pluginversion.h
include(version.cmake)
licq_create_plugin_version_file(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)

=== plugins/icq/CMakeLists.txt ===
project(icq)
cmake_minimum_required(VERSION 2.6.0)
cmake_policy(VERSION 2.6)

include(CheckFunctionExists)

# Licq
find_package(Licq REQUIRED)
include_directories(${Licq_INCLUDE_DIRS})

# Generate pluginversion.h
include(version.cmake)
licq_create_plugin_version_file(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)

=== plugins/osd/CMakeLists.txt ===
project(osd)
cmake_minimum_required(VERSION 2.6.0)
cmake_policy(VERSION 2.6)

# Licq
find_package(Licq REQUIRED)
include_directories(${Licq_INCLUDE_DIRS})

# Licq cmake modules
set(CMAKE_MODULE_PATH ${Licq_CMAKE_DIR}/Modules)

# Generate pluginversion.h
include(version.cmake)
licq_create_plugin_version_file(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Xosd
find_path(XOSD_INCLUDE_DIR xosd.h)
if (XOSD_INCLUDE_DIR)
  find_library(XOSD_LIBRARY xosd)
endif (XOSD_INCLUDE_DIR)

if (NOT XOSD_LIBRARY)
  message(FATAL_ERROR "Could NOT find Xosd")
endif (NOT XOSD_LIBRARY)

# iconv
find_package(Iconv REQUIRED)

add_subdirectory(po)
add_subdirectory(src)

=== include/licq/thread/CMakeLists.txt ===
set(licq_HEADERS
  condition.h
  lockable.h
  mutex.h
  mutexlocker.h
  readwritemutex.h
  threadspecificdata.h
)

install(FILES ${licq_HEADERS} DESTINATION "${Licq_INCLUDE_DIR}/licq/thread")

=== plugins/forwarder/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(forwarder_SRCS
   default_config.cpp
+  factory.cpp
   forwarder.cpp
-  main.cpp
 )
 
 # Read default configuration, escape quotes and generate a cpp file

=== plugins/qt4-gui/share/misc/CMakeLists.txt ===
if (WITH_KDE)
  install(FILES licq.desktop DESTINATION share/applications/kde4)
else (WITH_KDE)
  install(FILES licq.desktop DESTINATION share/applications)
endif (WITH_KDE)

=== plugins/qt4-gui/share/skins/CMakeLists.txt ===
# Skins
set(skins_SHARE
  basic
  basic-ncb
  bheart
  compact
  dim
  e
  gradient
  icq
  icq-ncb
  Mirabilis
  pli
  shale
  thomas
)

install(DIRECTORY ${skins_SHARE}
  DESTINATION ${Licq_SHARE_DIR}/${INSTALL_QTGUI_DIR}/skins
  PATTERN ".svn" EXCLUDE
)

=== plugins/qt4-gui/src/settings/CMakeLists.txt ===
# Settings dialog
set(settings_SRCS
  chat.cpp
  contactlist.cpp
  events.cpp
  general.cpp
  network.cpp
  oneventbox.cpp
  plugins.cpp
  settingsdlg.cpp
  shortcuts.cpp
  skin.cpp
  status.cpp
)

string(REGEX REPLACE ".cpp" ".h" settings_MOC_HDRS "${settings_SRCS}")

=== plugins/qt4-gui/src/userdlg/CMakeLists.txt ===
# User dialog
set(userdlg_SRCS
  info.cpp
  owner.cpp
  settings.cpp
  userdlg.cpp
)

string(REGEX REPLACE ".cpp" ".h" userdlg_MOC_HDRS "${userdlg_SRCS}")

=== debian/changelog ===
licq (1.8.2-1ubuntu1) xenial; urgency=medium

  * Ignore test failures on amd64. Only affects the qt4 plugin.
    See Debian #820106.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Apr 2016 00:37:51 +0200

licq (1.8.2-1build2) xenial; urgency=medium

  * No-change rebuild for hunspell library renaming.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Apr 2016 13:25:32 +0000

licq (1.8.2-1build1) wily; urgency=medium

  * No-change rebuild against libhunspell-1.3-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 19:42:01 +0000

licq (1.8.2-1) unstable; urgency=low

  * New upstream version 1.8.2
  * Drop fix-build-error patch that has been included upstream
  * Bump standards version to 3.9.4 with no changes

 -- Erik Johansson <debian@ejohansson.se>  Tue, 02 Sep 2014 12:26:50 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  libxss-dev
 Section: net
 Priority: optional
-Maintainer: Erik Johansson <debian@ejohansson.se>
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Erik Johansson <debian@ejohansson.se>
+Standards-Version: 3.9.5
 Vcs-Git: git://github.com/licq-im/debian.git
 Vcs-Browser: https://github.com/licq-im/debian
 Homepage: http://www.licq.org/

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,11 @@
 CMAKE_NORMAL_ARGS += -DCMAKE_SKIP_RPATH=ON
 CMAKE_NORMAL_ARGS += -DCMAKE_VERBOSE_MAKEFILE=ON
 export CTEST_OUTPUT_ON_FAILURE=1
+
+ifeq ($(DEB_HOST_ARCH),amd64)
+  DEB_BUILD_OPTIONS += nocheck
+  export DEB_BUILD_OPTIONS
+endif
 
 # plugin packages
 PLUGINS := $(filter licq-plugin-%,$(shell dh_listpackages))
